
Redmine - Patch #22336

Revision Table does not scroll horizontally on small screens

2016-03-29 12:31 - Gregor Schmidt

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 3.2.2   

Description

On small screens: While the directory listing table may be scrolled horizontally, the revision table may not. Therefore the commit

message and author is not available on mobile devices.
The attached patch adds an .autoscroll container around the revision graph and table. Additionally it adds position: relative to the

.autoscroll CSS ruleset to ensure, that the revision graph scrolls with the table content.

 after.png 

The patch was created based on the current trunk r15287.

Related issues:

Related to Redmine - Defect #24309: Setting page for repository does not scro... Closed

Associated revisions

Revision 15303 - 2016-04-03 14:33 - Jean-Philippe Lang

Make full revision table available on mobile devices (#22336).

Patch by Gregor Schmidt.

Revision 15304 - 2016-04-03 14:34 - Jean-Philippe Lang

Merged r15303 (#22336).

History

#1 - 2016-03-31 10:56 - Go MAEDA

- Target version set to 3.2.2

Works fine, thanks.

Setting target version to 3.2.2.

#2 - 2016-04-03 14:34 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#3 - 2018-06-04 11:54 - Go MAEDA

- Related to Defect #24309: Setting page for repository does not scroll horizontally on small screens added
